<ui:composition xmlns:ui="http://java.sun.com/jsf/facelets" xmlns:s="http://jboss.org/schema/seam/taglib"
                xmlns:h="http://java.sun.com/jsf/html" xmlns:a4j="http://richfaces.org/a4j"
                xmlns:g="http://www.ihe.net/gazelle" xmlns:f="http://java.sun.com/jsf/core"
                xmlns:gri="http://java.sun.com/jsf/composite/gri" xmlns:rich="http://richfaces.org/rich"
                xmlns:gdk="http://www.ihe.net/gazellecdk" xmlns="http://www.w3.org/1999/xhtml">
    <rich:list value="#{slot.valueList.value}" var="slval" type="unordered">
        <h:panelGrid columns="3">
            <h:outputText value="#{slval}"/>
            <gdk:spacer width="5"/>
            <a4j:commandLink actionListener="#{slot.valueList.value.remove(slval)}"
                             render="metadata_id,messageDecoration">
                <span class="gzl-icon-minus"/>
            </a4j:commandLink>
        </h:panelGrid>
    </rich:list>
    <s:span rendered="#{pnrIHEManager.canAddValueToSlot(slot)}">
        <a4j:commandLink actionListener="#{pnrIHEManager.initSelectedSlotType(slot)}"
                         oncomplete="jq162('#AddSlotValue').modal('show');"
                         render="AddSlotValueForm,AddSlotValue">
            <span class="gzl-icon-plus"/>
        </a4j:commandLink>
    </s:span>
</ui:composition>
